<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage AppGate
 * @since AppGate 0.9
 */

get_header(); ?>

<?php get_sidebar(); ?>

	<div id="primary" class="content-area">

		<div id="content" class="site-content" role="main">

		<?php /* The loop */ ?>
		<?php while ( have_posts() ) : the_post(); ?>

			<header class="archive-header">
				<h2 class="archive-title"><?php the_category(', '); ?></h2>
			</header><!-- .archive-header -->

				<?php get_template_part( 'content', get_post_format() ); ?>
				<?php appgate_post_nav(); ?>
				<?php comments_template(); ?>

		<?php endwhile; ?>

		</div><!-- #content -->
	</div><!-- #primary -->
    
<?php get_footer(); ?>